Question

What would be the impact of downgrading an application that is built on Pega version 7.2 to Version 7.1.9 ?

Hi,

We have built a small application on Pega 7.2. Now we would like to downgrade it to version 7.1.9 and make it run on 7.1.9 for some business reasons.

Is this possible? What would be the impact ?

Regards,

Rashmi

 

***Updated by Moderator: Vidyaranjan. Removed user added FAQ and Ask the Expert tags. Apologies for confusion, shouldn't have been an end-user option***

**Moderation Team has archived post**

This post has been archived for educational purposes. Contents and links will no longer be updated. If you have the same/similar question, please write a new post.

Comments

Keep up to date on this post and subscribe to comments

Pega
August 30, 2016 - 4:29am

I don't know of anyway of 'downgrading' a PRPC installation to a lower version: but you *might* get away with exporting your Application (via  'RAP' etc.) from 72 and importing into a 719 - I haven't tried this (only ever done this other way round) - but it might work if you have not used any 72 specific features that didn't exist in 719 in your application..... (You will probably need to adjust 'built-on' versions in your ruleset/application stack as well...)

 

September 2, 2016 - 2:10am

Hi,

I went ahead and imported the application that was built on Pega 7.2 over to Pega 7.1.9.

The import had errors - which was expected. After the final step, 16 records were skipped and 156 errors were reported.

But went ahead with it. I get the below exception when I try to launch the manager portal. I have attached the screen shots of the tracer and the exception. Any assistance in solving this would be greatly appreciated.

 

** Exception thrown by "com.pegarules.generated.pega_uiengine_pzskinfua.pzSkinMethodBody"

Regards,

Rashmi